#include <libavformat/avformat.h>

int main(int argc, char **argv)
{
  int err=1;
  char *path=argc<2?NULL:argv[1];
  AVFormatContext *ctx;

#if (LIBAVFORMAT_VERSION_MAJOR<58) // [
  /////////////////////////////////////////////////////////////////////////////
  av_register_all();
#endif // ]

  /////////////////////////////////////////////////////////////////////////////
  if (!path) {
    fprintf(stderr,"Usage: %s <input file>\n",argv[0]);
    goto earg;
  }

  /////////////////////////////////////////////////////////////////////////////
  ctx=NULL;
  err=avformat_open_input(&ctx,path,NULL,NULL);

  if (err<0) {
    fprintf(stderr,"Error: opening input \"%s\": %s (%d).\n",
        path,av_err2str(err),err);
    goto econtext;
  }

  /////////////////////////////////////////////////////////////////////////////
  err=0;
//cleanup:
  avformat_close_input(&ctx);
econtext:
earg:
  return err;
}
